/**
 *  Copyright © 2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  Previously released under Apache License 2.0; now licensed under MPL 2.0.
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.protocol;

public enum Benutzerstatus {
  VOLLMITGLIED(1),
  MÖCHTE_VOLLMITGLIED_WERDEN(2),
  VOLLMITGLIEDSCHAFT_BESTÄTIGT(3),
  MITGLIEDSCHAFT_ABGELEHNT(4);

  private int status;

  Benutzerstatus(int value) {
    status = value;
  }



  public static Benutzerstatus toBenutzerstatus(int value) {

    for (Benutzerstatus tmp : Benutzerstatus.values()) {
      if (tmp.getStatus() == value) {
        return tmp;
      }
    }
    throw new IllegalArgumentException();
  }



  public int getStatus() {
    return status;
  }



  @Override
  public String toString() {
    return name();
  }
}
